Commit 7a445b0e authored by Rémi Denis-Courmont's avatar Rémi Denis-Courmont
Browse files

Revert "Fix windows build (undefined reference to gpg_error_*)"

LibVLC is not calling gpg_error functions anywhere. Linking gpg-error
causes problems with *correctly* built libgcrypt (e.g. incorrect
package dependencies).

This reverts commit f865a816.
parent f865a816
......@@ -4679,7 +4679,7 @@ then
then
AC_MSG_ERROR([libgcrypt is required for update checking system])
fi
VLC_ADD_LIBS([libvlccore], [${GCRYPT_LIBS} -lgpg-error])
VLC_ADD_LIBS([libvlccore], [${GCRYPT_LIBS}])
VLC_ADD_CFLAGS([libvlccore], [${GCRYPT_CFLAGS}])
AC_DEFINE([UPDATE_CHECK], 1, [Define if you want to use the VLC update mechanism])
fi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment